#
# spec file for package nwg-look
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           nwg-look
Version:        0.2.7
Release:        1.6
Summary:        GTK3 settings editor adapted to work in sway/wlroots environment
License:        MIT
URL:            https://github.com/nwg-piotr/nwg-look
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
Patch0:         no-docs.patch
BuildRequires:  golang(API) >= 1.22
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)

%description
Nwg-look is a GTK3 settings editor, designed to work properly in wlroots-based Wayland environment. The look and feel is strongly influenced by LXAppearance.

%prep
%autosetup -a 1 -p0

%build
go build -o bin/nwg-look -mod=vendor -buildmode=pie

%install
%make_install PREFIX="%{_prefix}"

%files
%doc README.md
%license LICENSE
%{_bindir}/nwg-look
%dir %{_datadir}/nwg-look
%{_datadir}/nwg-look/*
%{_datadir}/applications/nwg-look.desktop
%{_datadir}/pixmaps/nwg-look.svg

%changelog
* Fri May 31 2024 nyslay@gmail.com
- Update to version 0.2.7:
  * update README.md
  * update dependencies; bump to 0.2.7
  * Add $PREFIX support to Makefile.
  * Look for glade file in all data directories.
  * Look for en_US.json in all data directories.
  * update README.md Makefile
  * update README.md Makefile
  * bump to 0.2.6
  * update dependencies
* Fri Feb 16 2024 Joshua Smith <jsmithfpv@gmail.com>
- Update to version 0.2.7:
  * update README.md
  * update dependencies
  * Look for glade file in all data directories.
  * Look for en_US.json in all data directories.
  * add `-x` for exportConfigs and quit
* Sat Nov 18 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to version 0.2.4:
  * update LICENSE copyright
  * replace FATA w/ WARN if target path nonexistent
  * replace deprecated ioutil with os
  * update dependencies
  * i18n: create zh_CN translation
  * Fixed text scale factor loading from file
* Thu May 18 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to version 0.2.2:
  * Use map value, not key
  * Add Russian localization
  * Update README.md
* Tue Mar  7 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to version 0.2.1:
  * fix "toolbar-icon-size" label
  * fix JSON indentation
  * add missing translations
  * add translation engine
  * upgrade dependencies
  * tools.go: respect color-scheme settings
  * Create FUNDING.yml
* Thu Jan 19 2023 Joshua Smith <jsmithfpv@gmail.com>
- Initial package for 0.1.4
